Summary: Browser default start page for Scientific Linux
Name: sl-indexhtml
Version: 6
Release: 6.6.sl6
Source: %{name}-%{version}.tar.gz
Source1: sl-firefox-branding.js
License: Distributable
Group: Documentation

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: indexhtml <= 2:5-1
Provides: redhat-indexhtml

BuildRequires:	coreutils

%description
The indexhtml package contains the welcome page shown by your Web browser,
which you'll see after you've successfully installed Scientific Linux.

%prep
%setup -q -n HTML

%build

%install
rm -rf %{buildroot}

# Setup the html for the default welcome page
mkdir -p %{buildroot}/%{_defaultdocdir}/HTML
cp -a . %{buildroot}/%{_defaultdocdir}/HTML/

# Setup de-brand prefs
%{__mkdir_p} %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/
%{__cp} %{SOURCE1} %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js
%{__mkdir_p} %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/
ln %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/

# Sometimes, firefox takes the first result
# Sometimes, firefox takes the last result.
ln %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/aaa-firefox-branding.js
ln %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/firefox-branding.js %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/aaa-firefox-branding.js

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/HTML/*
%{_prefix}/lib/firefox/defaults/preferences/aaa-firefox-branding.js
%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js
%{_prefix}/lib64/firefox/defaults/preferences/aaa-firefox-branding.js
%{_prefix}/lib64/firefox/defaults/preferences/firefox-branding.js

%changelog
* Mon May 18 2015 Pat Riehecky <riehecky@fnal.gov> 6-6.6.sl6
- Updated for Firefox38 branding changes

* Mon Feb 3 2014 Pat Riehecky <riehecky@fnal.gov> 6-6.5.sl6.1
- need x86_64 and i686 lib dirs

* Mon Feb 3 2014 Pat Riehecky <riehecky@fnal.gov> 6-6.5.sl6
- Updated for Firefox24 branding changes

* Tue Mar 13 2012 Pat Riehecky <riehecky@fnal.gov> 6-2.sl6.6
- Updated Swedish translation by Alexander Lindqvist

* Mon Jul 25 2011 Troy Dawson <dawson@fnal.gov> 6-2.sl6.5
- es-ES translation provided by Joseph Marrero
- hu-HU translation provided by Laszlo Dvornik
- ru-RU translation provided by Linux Ink

* Fri Jul 15 2011 Troy Dawson <dawson@fnal.gov> 6-2.sl6.4
- Fixed index.html page that was not localized.
- Set "border: none" on the SL banner.
- sv-SE translation provided by Alexander Lindqvist

* Fri Jul 15 2011 Troy Dawson <dawson@fnal.gov> 6-2.sl6.3
- Fixed more minor typo's
- de-DE translation provided by Christoph Galuschka
- ja-JP translation provided by Tomoya Inoue
- fr-FR translation provided by Manuel Wolfshant and Fabian Arrotin

* Fri Jul 08 2011 Troy Dawson <dawson@fnal.gov> 6-2.sl6.2
- Made graphics links to SL website
- Fixed minor typo's

* Thu Jul 07 2011 Troy Dawson <dawson@fnal.gov> 6-2.sl6.1
- Changed pages to those designed by Shawn Thompson

* Fri Nov 12 2010 Troy Dawson <dawson@fnal.gov> 6-1.sl6
- Changed the pages to be Scientific Linux's default pages

* Fri Aug 27 2010 Parag Nemade <pnemade AT redhat.com> - 6-1
- Respin the tarball to include translated pages (#626997)

* Thu Aug 26 2010 Parag Nemade <pnemade AT redhat.com> - 6-0.7
- final English content (#626997)

* Thu Jul 29 2010 Parag Nemade <pnemade AT redhat.com> - 6-0.6
- Resolves:-rh#578072-index.html page is not localized. showing en-US/index.html page 

* Wed May 12 2010 Michael Hideo <mhideo@redhat.com> - 6-0.5
- BZ#578072
- New content payload from pm group

* Thu Apr 15 2010 Jens Petersen <petersen@redhat.com>
- dont install the tarball
- update localized index.html files to show "6 Beta"

* Thu Feb 15 2010 Michael Hideo <mhideo@redhat.com> - 6-0.2
- enabling i18n

* Thu Feb  4 2010 Jens Petersen <petersen@redhat.com> - 6-0.1
- rename from indexhtml to redhat-indexhtml
- redirect to beta page

* Tue Aug 08 2006 Phil Knirsch <pknirsch@redhat.com> 5-1
- Minor cleanup to specfile
- Bumped version and release properly for RHEL5

* Fri Jul 29 2005 Bill Nottingham <notting@redhat.com> 4.1-1
- Russian (#160605)

* Tue Nov 30 2004 Bill Nottingham <notting@redhat.com> 4-2
- initial translations

* Mon Nov 22 2004 Bill Nottingham <notting@redhat.com> 4-0.1
- initial build for RHEL 4
